Bug 1008828 - Review Request: perl-Path-FindDev - Find a development path somewhere in an upper hierarchy
Review Request: perl-Path-FindDev - Find a development path somewhere in an u...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On: 1008809
Blocks: 1008856
  Show dependency treegraph
 
Reported: 2013-09-17 03:10 EDT by Jitka Plesnikova
Modified: 2013-09-26 20:44 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Path-FindDev-0.2.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 20:44:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2013-09-17 03:10:57 EDT
Spec URL: http://jplesnik.fedorapeople.org/perl-Path-FindDev/perl-Path-FindDev.spec
SRPM URL: http://jplesnik.fedorapeople.org/perl-Path-FindDev/perl-Path-FindDev-0.2.0-1.fc21.src.rpm

Description: 
This package is mostly a glue layer around Path::IsDev with a few directory
walking tricks.

Fedora Account System Username: jplesnik
Comment 1 Petr Pisar 2013-09-17 11:12:27 EDT
URL and Source0 are usable. Ok.
Source tar ball is original (SHA-256: 1f8778bc0c46cc47b609f4ee46bf4078fdae6b0caa6685e71c83bb2f4f98f64f). Ok.
Summary verified from README. Ok.
Description verified from README. Ok.
License verified from README, COPYING, lib/Path/FindDev/Object.pm, lib/Path/FindDev.pm. Ok.
No XS code included, noarch BuildArch is Ok.

Module::Build minimal version 0.3601 is Ok.

FIX: Change version value at `perl(Path::IsDev) >= v0.2.2' dependencies. perl-Path-IsDev provides `perl(Path::IsDev) = 0.3.0'. That means there is no `v'. See:
# rpmdev-vercmp v0.2.2 0
v0.2.2 < 0

All tests pass. Ok.

$ rpmlint perl-Path-FindDev.spec ../SRPMS/perl-Path-FindDev-0.2.0-1.fc21.src.rpm ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm 
perl-Path-FindDev.src: W: spelling-error %description -l en_US IsDev -> Misdeed
perl-Path-FindDev.noarch: W: spelling-error %description -l en_US IsDev -> Misdeed
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Sep 17 17:00 /usr/share/doc/perl-Path-FindDev
-rw-r--r--    1 root    root                      369 Jul  7 18:36 /usr/share/doc/perl-Path-FindDev/Changes
-rw-r--r--    1 root    root                    18419 Jul  7 18:36 /usr/share/doc/perl-Path-FindDev/LICENSE
-rw-r--r--    1 root    root                     2358 Jul  7 18:36 /usr/share/doc/perl-Path-FindDev/README
-rw-r--r--    1 root    root                     2906 Sep 17 17:00 /usr/share/man/man3/Path::FindDev.3pm.gz
-rw-r--r--    1 root    root                     3240 Sep 17 17:00 /usr/share/man/man3/Path::FindDev::Object.3pm.gz
drwxr-xr-x    2 root    root                        0 Sep 17 17:00 /usr/share/perl5/vendor_perl/Path
drwxr-xr-x    2 root    root                        0 Sep 17 17:00 /usr/share/perl5/vendor_perl/Path/FindDev
-rw-r--r--    1 root    root                     2984 Sep 17 17:00 /usr/share/perl5/vendor_perl/Path/FindDev.pm
-rw-r--r--    1 root    root                     6427 Sep 17 17:00 /usr/share/perl5/vendor_perl/Path/FindDev/Object.pm
File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl(Carp)
      1 perl(File::Spec)
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(Moo)
      1 perl(Path::IsDev::Object)
      1 perl(Path::IsDev) >= v0.2.2
      1 perl(Path::Tiny)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(Sub::Exporter)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Remove the `v' from perl(Path::IsDev) version.

$ rpm -q --provides -p ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl(Path::FindDev) = 0.2.0
      1 perl-Path-FindDev = 0.2.0-1.fc21
      1 perl(Path::FindDev::Object) = 0.2.0
Binary provides are Ok.

$ resolvedeps f21-build ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5945365). OK.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items and provide new spec file.
Resolution: NOT approved.
Comment 3 Petr Pisar 2013-09-18 03:16:55 EDT
Spec file changes:

--- perl-Path-FindDev.spec.old  2013-09-17 09:04:45.000000000 +0200
+++ perl-Path-FindDev.spec      2013-09-18 08:30:04.000000000 +0200
@@ -15,7 +15,7 @@
 BuildRequires:  perl(Carp)
 BuildRequires:  perl(File::Spec)
 BuildRequires:  perl(Moo)
-BuildRequires:  perl(Path::IsDev) >= v0.2.2
+BuildRequires:  perl(Path::IsDev) >= 0.2.2
 BuildRequires:  perl(Path::IsDev::Object)
 BuildRequires:  perl(Path::Tiny)
 BuildRequires:  perl(Scalar::Util)
@@ -28,7 +28,7 @@
 Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
 Requires:       perl(Carp)
 Requires:       perl(File::Spec)
-Requires:       perl(Path::IsDev) >= v0.2.2
+Requires:       perl(Path::IsDev) >= 0.2.2
 Requires:       perl(Path::IsDev::Object)
 Requires:       perl(Path::Tiny)
 Requires:       perl(Scalar::Util)
@@ -57,5 +57,5 @@
 %{_mandir}/man3/*
 
 %changelog
-* Mon Sep 16 2013 Jitka Plesnikova <jplesnik@redhat.com> 0.2.0-1
+* Mon Sep 16 2013 Jitka Plesnikova <jplesnik@redhat.com> - 0.2.0-1
 - Specfile autogenerated by cpanspec 1.78.


> FIX: Change version value at `perl(Path::IsDev) >= v0.2.2' dependencies.
> perl-Path-IsDev provides `perl(Path::IsDev) = 0.3.0'. That means there is
> no `v'.
-BuildRequires:  perl(Path::IsDev) >= v0.2.2
+BuildRequires:  perl(Path::IsDev) >= 0.2.2
-Requires:       perl(Path::IsDev) >= v0.2.2
+Requires:       perl(Path::IsDev) >= 0.2.2
Ok.

$ rpmlint perl-Path-FindDev.spec ../SRPMS/perl-Path-FindDev-0.2.0-1.fc21.src.rpm ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm 
perl-Path-FindDev.src: W: spelling-error %description -l en_US IsDev -> Misdeed
perl-Path-FindDev.noarch: W: spelling-error %description -l en_US IsDev -> Misdeed
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
rpmlint is Ok.

> FIX: Remove the `v' from perl(Path::IsDev) version.
$ rpm -q --requires -p ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm | sort -i | uniq -c
      1 perl(Carp)
      1 perl(File::Spec)
      1 perl(:MODULE_COMPAT_5.18.1)
      1 perl(Moo)
      1 perl(Path::IsDev) >= 0.2.2
      1 perl(Path::IsDev::Object)
      1 perl(Path::Tiny)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(Sub::Exporter)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ resolvedeps f21-build ../RPMS/noarch/perl-Path-FindDev-0.2.0-1.fc21.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=5949563). Ok.

Package is good.
Resolution: Package APPROVED.
Comment 4 Jitka Plesnikova 2013-09-18 03:32:26 EDT
New Package SCM Request
=======================
Package Name: perl-Path-FindDev
Short Description: Find a development path somewhere in an upper hierarchy
Owners: jplesnik ppisar psabata
Branches:
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2013-09-18 09:33:52 EDT
Git done (by process-git-requests).
Comment 6 Jitka Plesnikova 2013-09-18 10:00:25 EDT
Package Change Request
======================
Package Name: perl-Path-FindDev
New Branches: f20 
Owners: jplesnik ppisar psabata
InitialCC: perl-sig

I forgot to mention f20 branch in previous request. I apologize for it.
Comment 7 Gwyn Ciesla 2013-09-18 10:07:37 EDT
Git done (by process-git-requests).
Comment 8 Jitka Plesnikova 2013-09-18 10:12:33 EDT
Thank you for the review and the repository.
Comment 9 Fedora Update System 2013-09-18 10:21:33 EDT
perl-Path-FindDev-0.2.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Path-FindDev-0.2.0-1.fc20
Comment 10 Fedora Update System 2013-09-18 13:45:59 EDT
Package perl-Path-FindDev-0.2.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-Path-FindDev-0.2.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17101/perl-Path-FindDev-0.2.0-1.fc20
then log in and leave karma (feedback).
Comment 11 Fedora Update System 2013-09-26 20:44:48 EDT
perl-Path-FindDev-0.2.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.